# cp_mgmt_vpn_community_star_facts – Get vpn-community-star objects facts on Check Point over Web Services API

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Get vpn-community-star objects facts on Check Point devices.
- All operations are performed over Web Services API.
- This module handles both operations, get a specific object and get several objects, For getting a specific object use the parameter ‘name’.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

limit integer |  | No more than that many results will be returned. This parameter is relevant only for getting few objects.
name string |  | Object name. This parameter is relevant only for getting a specific object.
offset integer |  | Skip that many results before beginning to return them. This parameter is relevant only for getting few objects.
order list |  | Sorts results by the given field. By default the results are sorted in the ascending order by name. This parameter is relevant only for getting few objects.

ASC
string

Choices:
- name

Sorts results by the given field in ascending order.

DESC
string

Choices:
- name

Sorts results by the given field in descending order.

version string |  | Version of checkpoint. If not given one, the latest version taken.

## Examples

    - name: show-vpn-community-star
      cp_mgmt_vpn_community_star_facts:
        name: New_VPN_Community_Meshed_1

    - name: show-vpn-communities-star
      cp_mgmt_vpn_community_star_facts:
        details_level: full
        limit: 50
        offset: 0

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.